package cn.feast.coding.mapper.system;


import cn.feast.coding.model.system.RolePermission;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface RolePermissionMapper {
    Integer save(RolePermission model);

    void update(RolePermission model);

    void deleteById(Integer id);

    int queryByCount(RolePermission model);

    List<RolePermission> queryByList(Map paramsMap);

    List<RolePermission> queryByRolePermission(RolePermission model);

    RolePermission queryById(Integer id);

    void deleteByRole(Integer roleid);

    List<RolePermission> queryByRole(Integer roleid);
}